Get a creator outreach batch
curl --request GET \
--url https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "preparing",
"platform": "instagram",
"search_kind": "structured",
"filters": {
"creator": "<string>",
"locations": [
"148838"
],
"languages": [
"<string>"
],
"followers": {
"min": 123,
"max": 123
},
"engagement_rate": {
"min": 123,
"max": 123
},
"average_views": {
"min": 123,
"max": 123
},
"growth_rate": {
"min": 123,
"max": 123
},
"posting_frequency": {
"min": 123,
"max": 123
},
"last_posted_days": 123,
"interests": [
"148838"
],
"hashtags": [
"<string>"
],
"bio": "<string>",
"account_type": "creator",
"verified": true,
"has_email": true,
"authenticity_min": 123,
"brand_ids": [
"148838"
],
"audience_locations": [
{
"id": "148838",
"weight": 123
}
],
"audience_languages": [
{
"id": "148838",
"weight": 123
}
],
"audience_interests": [
{
"id": "148838",
"weight": 123
}
]
},
"creators": [
{
"creator_ref": "eyJ2IjoxLCJwIjoiaW5zdGFncmFtIn0",
"platform": "instagram",
"name": "Jane Doe",
"handle": "janedoe",
"followers": 120000,
"engagement_rate": 0.034,
"has_email": true,
"is_unlocked": false,
"collaboration_brands": [
"Nike"
],
"content": [
{
"id": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"video_url": "<string>",
"media_type": "image",
"visual_ref": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"published_at": "<string>",
"likes": 123,
"comments": 123,
"views": 123,
"shares": 123,
"is_sponsored": true
}
],
"profile_url": "https://www.instagram.com/janedoe",
"avatar_url": "https://example.com/avatar.jpg",
"bio": "Travel and food",
"location": "Austin, United States",
"category": "Travel",
"average_views": 25000,
"posting_frequency": 12,
"growth_rate": 0.02,
"is_verified": false,
"list_member_id": "<string>",
"public_report": {
"audience": {
"geography": [
{
"label": "<string>",
"value": 123
}
],
"ages": [
{
"label": "<string>",
"value": 123
}
],
"genders": [
{
"label": "<string>",
"value": 123
}
],
"languages": [
{
"label": "<string>",
"value": 123
}
],
"interests": [
{
"label": "<string>",
"value": 123
}
],
"credibility": 123
},
"performance": {
"average_likes": 123,
"average_comments": 123,
"average_views": 123,
"engagement_rate": 123,
"posting_frequency": 123,
"follower_growth": 123,
"paid_post_performance": 123,
"content_type_performance": [
{
"label": "<string>",
"value": 123
}
]
},
"recent_content": [
{
"id": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"video_url": "<string>",
"media_type": "image",
"visual_ref": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"published_at": "<string>",
"likes": 123,
"comments": 123,
"views": 123,
"shares": 123,
"is_sponsored": true
}
],
"popular_content": [
{
"id": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"video_url": "<string>",
"media_type": "image",
"visual_ref": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"published_at": "<string>",
"likes": 123,
"comments": 123,
"views": 123,
"shares": 123,
"is_sponsored": true
}
],
"sponsored_content": [
{
"id": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"video_url": "<string>",
"media_type": "image",
"visual_ref": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"published_at": "<string>",
"likes": 123,
"comments": 123,
"views": 123,
"shares": 123,
"is_sponsored": true
}
],
"collaborations": [
{
"brand": "<string>",
"posts": 123,
"likes": 123,
"comments": 123,
"views": 123
}
]
},
"collaborations": [
{
"brand": "<string>",
"posts": 123,
"likes": 123,
"comments": 123,
"views": 123
}
],
"review": {
"decision": "approved",
"decided_by": "<string>",
"comments": [
{
"id": "<string>",
"author_name": "<string>",
"body": "<string>",
"timestamp_created": "<string>"
}
]
},
"email": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"lead_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"query": "<string>",
"run": {
"selected_count": 123,
"email_ready_count": 123,
"missing_email_count": 123,
"duplicate_email_count": 123,
"credits_cost": 123,
"can_continue": true,
"verifying_count": 123,
"error_code": "<string>",
"pages_loaded": 123,
"paging_credits": 123,
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"added_count": 123,
"error_code": "lead_limit_reached"
}
},
"error_code": "<string>",
"progress": {
"stage": "search",
"done": 123,
"total": 123
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "<string>",
"creditsRequired": 123,
"creditsAvailable": 123,
"code": "creator_search_payment_required"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Creator
Get a creator outreach batch
The creator list and its last conversion; status is queued or running until it ends.
Requires one of the following scopes: supersearch_enrichments:read, supersearch_enrichments:all, all:read, all:all
GET
/
api
/
v2
/
creator-search
/
outreach-batches
/
{id}
Get a creator outreach batch
curl --request GET \
--url https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/creator-search/outreach-batches/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "preparing",
"platform": "instagram",
"search_kind": "structured",
"filters": {
"creator": "<string>",
"locations": [
"148838"
],
"languages": [
"<string>"
],
"followers": {
"min": 123,
"max": 123
},
"engagement_rate": {
"min": 123,
"max": 123
},
"average_views": {
"min": 123,
"max": 123
},
"growth_rate": {
"min": 123,
"max": 123
},
"posting_frequency": {
"min": 123,
"max": 123
},
"last_posted_days": 123,
"interests": [
"148838"
],
"hashtags": [
"<string>"
],
"bio": "<string>",
"account_type": "creator",
"verified": true,
"has_email": true,
"authenticity_min": 123,
"brand_ids": [
"148838"
],
"audience_locations": [
{
"id": "148838",
"weight": 123
}
],
"audience_languages": [
{
"id": "148838",
"weight": 123
}
],
"audience_interests": [
{
"id": "148838",
"weight": 123
}
]
},
"creators": [
{
"creator_ref": "eyJ2IjoxLCJwIjoiaW5zdGFncmFtIn0",
"platform": "instagram",
"name": "Jane Doe",
"handle": "janedoe",
"followers": 120000,
"engagement_rate": 0.034,
"has_email": true,
"is_unlocked": false,
"collaboration_brands": [
"Nike"
],
"content": [
{
"id": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"video_url": "<string>",
"media_type": "image",
"visual_ref": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"published_at": "<string>",
"likes": 123,
"comments": 123,
"views": 123,
"shares": 123,
"is_sponsored": true
}
],
"profile_url": "https://www.instagram.com/janedoe",
"avatar_url": "https://example.com/avatar.jpg",
"bio": "Travel and food",
"location": "Austin, United States",
"category": "Travel",
"average_views": 25000,
"posting_frequency": 12,
"growth_rate": 0.02,
"is_verified": false,
"list_member_id": "<string>",
"public_report": {
"audience": {
"geography": [
{
"label": "<string>",
"value": 123
}
],
"ages": [
{
"label": "<string>",
"value": 123
}
],
"genders": [
{
"label": "<string>",
"value": 123
}
],
"languages": [
{
"label": "<string>",
"value": 123
}
],
"interests": [
{
"label": "<string>",
"value": 123
}
],
"credibility": 123
},
"performance": {
"average_likes": 123,
"average_comments": 123,
"average_views": 123,
"engagement_rate": 123,
"posting_frequency": 123,
"follower_growth": 123,
"paid_post_performance": 123,
"content_type_performance": [
{
"label": "<string>",
"value": 123
}
]
},
"recent_content": [
{
"id": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"video_url": "<string>",
"media_type": "image",
"visual_ref": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"published_at": "<string>",
"likes": 123,
"comments": 123,
"views": 123,
"shares": 123,
"is_sponsored": true
}
],
"popular_content": [
{
"id": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"video_url": "<string>",
"media_type": "image",
"visual_ref": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"published_at": "<string>",
"likes": 123,
"comments": 123,
"views": 123,
"shares": 123,
"is_sponsored": true
}
],
"sponsored_content": [
{
"id": "<string>",
"url": "<string>",
"thumbnail_url": "<string>",
"video_url": "<string>",
"media_type": "image",
"visual_ref": "<string>",
"caption": "<string>",
"hashtags": [
"<string>"
],
"published_at": "<string>",
"likes": 123,
"comments": 123,
"views": 123,
"shares": 123,
"is_sponsored": true
}
],
"collaborations": [
{
"brand": "<string>",
"posts": 123,
"likes": 123,
"comments": 123,
"views": 123
}
]
},
"collaborations": [
{
"brand": "<string>",
"posts": 123,
"likes": 123,
"comments": 123,
"views": 123
}
],
"review": {
"decision": "approved",
"decided_by": "<string>",
"comments": [
{
"id": "<string>",
"author_name": "<string>",
"body": "<string>",
"timestamp_created": "<string>"
}
]
},
"email": "<string>",
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"lead_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"query": "<string>",
"run": {
"selected_count": 123,
"email_ready_count": 123,
"missing_email_count": 123,
"duplicate_email_count": 123,
"credits_cost": 123,
"can_continue": true,
"verifying_count": 123,
"error_code": "<string>",
"pages_loaded": 123,
"paging_credits": 123,
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"added_count": 123,
"error_code": "lead_limit_reached"
}
},
"error_code": "<string>",
"progress": {
"stage": "search",
"done": 123,
"total": 123
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "<string>",
"creditsRequired": 123,
"creditsAvailable": 123,
"code": "creator_search_payment_required"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Response
Default Response